Bug 64378 - Using parameter "-t" and get poor result with VIA 8231/8233 in RH7.2
Using parameter "-t" and get poor result with VIA 8231/8233 in RH7.2
Product: Red Hat Linux
Classification: Retired
Component: hdparm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-05-03 01:11 EDT by Joseph
Modified: 2016-09-25 07:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-01 10:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64383 master NEW core: Make CommandHelper.canDoAction accept CommandContext 2016-09-25 07:09 EDT

  None (edit)
Description Joseph 2002-05-03 01:11:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; KKman2.0)

Description of problem:
When using "hdparm -t /dev/hda", I got poor result with VIA8231/8233 in RH7.2. 
But in 7.1, the result is satisfied.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.using a VIA 8231/8233 SB and a ATA100 HDD then install RH7.2
2.after installation, login the system
3.run the command "hdparm -t /dev/hda"


Actual Results:  The result is poor than we expected!! (5~7MB/sec)
And the kernel doesn't know the SB (8231/8233) in boot time (dmesg).

Expected Results:  The result should be shown as a ATA100 HDD does.
And the kernel should  know the 8231/8233.

Additional info:

If we use VIA 8231/8233 SB and a ATA100 HDD in Redhat 7.2, use the parameter "-
t" and the result (5~7MB/sec)is more poor than we expect.
But in RH7.1 the result (29~30MB/sec) is fine.
After checking the boot message, I found the kernel doesnot know 8231/8233 SB 
in RH7.2, but they can be known in RH7.1.
And I viewed the VIA IDE driver(Ver 3.23) found that, 8231/8233 were placed in 
the section "VIA_New_Bridges_tested" in RH7.2. But in RH7.1, 8231/8233 were 
placed with other chips (IDE ver3.20).

Note You need to log in before you can comment on or make changes to this bug.